Index: kernel/generic/src/adt/avl.c
===================================================================
--- kernel/generic/src/adt/avl.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
+++ kernel/generic/src/adt/avl.c	(revision 18b6a8849d630cc3bca153fb21bd225eebb16f4c)
@@ -308,5 +308,5 @@
  */
 static int
-    repair(avltree_t *t, avltree_node_t *u, avltree_node_t *v, avltree_node_t *w,
+repair(avltree_t *t, avltree_node_t *u, avltree_node_t *v, avltree_node_t *w,
     int *dir, int ro)
 {
Index: kernel/generic/src/interrupt/interrupt.c
===================================================================
--- kernel/generic/src/interrupt/interrupt.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
+++ kernel/generic/src/interrupt/interrupt.c	(revision 18b6a8849d630cc3bca153fb21bd225eebb16f4c)
@@ -165,6 +165,6 @@
 }
 
-static NO_TRACE
-void fault_from_uspace_core(istate_t *istate, const char *fmt, va_list args)
+static NO_TRACE void
+fault_from_uspace_core(istate_t *istate, const char *fmt, va_list args)
 {
 	printf("Task %s (%" PRIu64 ") killed due to an exception at "
Index: kernel/generic/src/ipc/sysipc.c
===================================================================
--- kernel/generic/src/ipc/sysipc.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
+++ kernel/generic/src/ipc/sysipc.c	(revision 18b6a8849d630cc3bca153fb21bd225eebb16f4c)
@@ -765,5 +765,5 @@
 
 	if (!call) {
-		ipc_data_t data = {};
+		ipc_data_t data = { };
 		data.cap_handle = CAP_NIL;
 		STRUCT_TO_USPACE(calldata, &data);
Index: kernel/generic/src/mm/km.c
===================================================================
--- kernel/generic/src/mm/km.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
+++ kernel/generic/src/mm/km.c	(revision 18b6a8849d630cc3bca153fb21bd225eebb16f4c)
@@ -263,5 +263,5 @@
 		}
 	} else {
-lowmem:
+	lowmem:
 		frame = frame_alloc(1, FRAME_LOWMEM | flags, 0);
 		if (!frame)
Index: kernel/generic/src/proc/scheduler.c
===================================================================
--- kernel/generic/src/proc/scheduler.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
+++ kernel/generic/src/proc/scheduler.c	(revision 18b6a8849d630cc3bca153fb21bd225eebb16f4c)
@@ -430,5 +430,5 @@
 		case Exiting:
 			rcu_thread_exiting();
-repeat:
+		repeat:
 			if (THREAD->detached) {
 				thread_destroy(THREAD, false);
Index: kernel/generic/src/synch/rcu.c
===================================================================
--- kernel/generic/src/synch/rcu.c	(revision 8ebe212533840cb545a4f768a0689f6940125144)
+++ kernel/generic/src/synch/rcu.c	(revision 18b6a8849d630cc3bca153fb21bd225eebb16f4c)
@@ -253,5 +253,5 @@
 static void synch_complete(rcu_item_t *rcu_item);
 static inline void rcu_call_impl(bool expedite, rcu_item_t *rcu_item,
-	rcu_func_t func);
+    rcu_func_t func);
 static void add_barrier_cb(void *arg);
 static void barrier_complete(rcu_item_t *barrier_item);
@@ -440,10 +440,10 @@
 {
 	for (unsigned int cpu_id = 0; cpu_id < config.cpu_count; ++cpu_id) {
-		char name[THREAD_NAME_BUFLEN] = {0};
+		char name[THREAD_NAME_BUFLEN] = { 0 };
 
 		snprintf(name, THREAD_NAME_BUFLEN - 1, "rcu-rec/%u", cpu_id);
 
 		cpus[cpu_id].rcu.reclaimer_thr =
-			thread_create(reclaimer, NULL, TASK, THREAD_FLAG_NONE, name);
+		    thread_create(reclaimer, NULL, TASK, THREAD_FLAG_NONE, name);
 
 		if (!cpus[cpu_id].rcu.reclaimer_thr)
@@ -461,5 +461,5 @@
 {
 	rcu.detector_thr =
-		thread_create(detector, NULL, TASK, THREAD_FLAG_NONE, "rcu-det");
+	    thread_create(detector, NULL, TASK, THREAD_FLAG_NONE, "rcu-det");
 
 	if (!rcu.detector_thr)
@@ -656,5 +656,5 @@
 /** rcu_call() inline-able implementation. See rcu_call() for comments. */
 static inline void rcu_call_impl(bool expedite, rcu_item_t *rcu_item,
-	rcu_func_t func)
+    rcu_func_t func)
 {
 	assert(rcu_item);
@@ -667,6 +667,6 @@
 	rcu_cpu_data_t *r = &CPU->rcu;
 
-	rcu_item_t **prev_tail
-		= local_atomic_exchange(&r->parriving_cbs_tail, &rcu_item->next);
+	rcu_item_t **prev_tail =
+	    local_atomic_exchange(&r->parriving_cbs_tail, &rcu_item->next);
 	*prev_tail = rcu_item;
 
@@ -829,5 +829,5 @@
 	if (0 < arriving_cnt) {
 		CPU->rcu.stat_avg_cbs =
-			(99 * CPU->rcu.stat_avg_cbs + 1 * arriving_cnt) / 100;
+		    (99 * CPU->rcu.stat_avg_cbs + 1 * arriving_cnt) / 100;
 	}
 }
@@ -853,6 +853,6 @@
 	 * or risk exhausting all system memory.
 	 */
-	bool expedite = (EXPEDITE_THRESHOLD < CPU->rcu.next_cbs_cnt)
-		|| CPU->rcu.expedite_arriving;
+	bool expedite = (EXPEDITE_THRESHOLD < CPU->rcu.next_cbs_cnt) ||
+	    CPU->rcu.expedite_arriving;
 	CPU->rcu.expedite_arriving = false;
 
@@ -958,5 +958,5 @@
 			/* Wait for the GP to complete. */
 			errno_t ret = _condvar_wait_timeout_spinlock(&rcu.gp_ended, &rcu.gp_lock,
-				SYNCH_NO_TIMEOUT, SYNCH_FLAGS_INTERRUPTIBLE);
+			    SYNCH_NO_TIMEOUT, SYNCH_FLAGS_INTERRUPTIBLE);
 
 			if (ret == EINTR) {
@@ -984,5 +984,5 @@
 	while (!cpu_mask_is_none(reader_cpus)) {
 		/* Give cpus a chance to context switch (a QS) and batch callbacks. */
-		if(!gp_sleep(&expedite))
+		if (!gp_sleep(&expedite))
 			return false;
 
@@ -1015,5 +1015,5 @@
 		errno_t ret = 0;
 		ret = _condvar_wait_timeout_spinlock(&rcu.expedite_now, &rcu.gp_lock,
-			DETECT_SLEEP_MS * 1000, SYNCH_FLAGS_INTERRUPTIBLE);
+		    DETECT_SLEEP_MS * 1000, SYNCH_FLAGS_INTERRUPTIBLE);
 
 		/* rcu.expedite_now was signaled. */
@@ -1145,5 +1145,5 @@
 
 		printf("Bug: thread (id %" PRIu64 " \"%s\") exited while in RCU read"
-			" section.\n", THREAD->tid, THREAD->name);
+		    " section.\n", THREAD->tid, THREAD->name);
 	}
 }
@@ -1207,6 +1207,6 @@
 	 */
 	rcu_gp_t compl_gp = ACCESS_ONCE(rcu.completed_gp);
-	if (CPU->rcu.cur_cbs_gp <= compl_gp
-		&& compl_gp <= CPU->rcu.cur_cbs_gp + UINT32_MAX_HALF) {
+	if (CPU->rcu.cur_cbs_gp <= compl_gp &&
+	    compl_gp <= CPU->rcu.cur_cbs_gp + UINT32_MAX_HALF) {
 		*completed_gp = compl_gp;
 		return true;
@@ -1237,5 +1237,5 @@
 	 */
 	if (expedite) {
-		if(0 == rcu.req_expedited_cnt)
+		if (0 == rcu.req_expedited_cnt)
 			condvar_signal(&rcu.expedite_now);
 
@@ -1270,5 +1270,5 @@
 	while (rcu.completed_gp < wait_on_gp && !interrupted) {
 		int ret = _condvar_wait_timeout_spinlock(&rcu.gp_ended, &rcu.gp_lock,
-			SYNCH_NO_TIMEOUT, SYNCH_FLAGS_INTERRUPTIBLE);
+		    SYNCH_NO_TIMEOUT, SYNCH_FLAGS_INTERRUPTIBLE);
 		interrupted = (ret == EINTR);
 	}
@@ -1330,5 +1330,5 @@
 	while (0 == rcu.req_gp_end_cnt && !interrupted) {
 		int ret = _condvar_wait_timeout_spinlock(&rcu.req_gp_changed,
-			&rcu.gp_lock, SYNCH_NO_TIMEOUT, SYNCH_FLAGS_INTERRUPTIBLE);
+		    &rcu.gp_lock, SYNCH_NO_TIMEOUT, SYNCH_FLAGS_INTERRUPTIBLE);
 
 		interrupted = (ret == EINTR);
@@ -1395,5 +1395,5 @@
 		/* minor bug: sleeps for the same duration if woken up spuriously. */
 		ret = _condvar_wait_timeout_spinlock(&rcu.expedite_now, &rcu.gp_lock,
-			DETECT_SLEEP_MS * 1000, SYNCH_FLAGS_INTERRUPTIBLE);
+		    DETECT_SLEEP_MS * 1000, SYNCH_FLAGS_INTERRUPTIBLE);
 	}
 
@@ -1479,5 +1479,5 @@
 	int delaying_cpu_cnt = atomic_get(&rcu.delaying_cpu_cnt);
 
-	for (int i = 0; i < delaying_cpu_cnt; ++i){
+	for (int i = 0; i < delaying_cpu_cnt; ++i) {
 		if (!semaphore_down_interruptable(&rcu.remaining_readers))
 			return false;
@@ -1549,6 +1549,5 @@
 	if (THREAD == rcu.detector_thr) {
 		THREAD->priority = -1;
-	}
-	else if (THREAD == CPU->rcu.reclaimer_thr) {
+	} else if (THREAD == CPU->rcu.reclaimer_thr) {
 		THREAD->priority = -1;
 	}
@@ -1606,5 +1605,5 @@
 
 		printf("Bug: thread (id %" PRIu64 " \"%s\") exited while in RCU read"
-			" section.\n", THREAD->tid, THREAD->name);
+		    " section.\n", THREAD->tid, THREAD->name);
 	}
 }
@@ -1834,12 +1833,12 @@
 
 	printf("Config: expedite_threshold=%d, critical_threshold=%d,"
-		" detect_sleep=%dms, %s\n",
-		EXPEDITE_THRESHOLD, CRITICAL_THRESHOLD, DETECT_SLEEP_MS, algo);
+	    " detect_sleep=%dms, %s\n",
+	    EXPEDITE_THRESHOLD, CRITICAL_THRESHOLD, DETECT_SLEEP_MS, algo);
 	printf("Completed GPs: %" PRIu64 "\n", rcu.completed_gp);
 	printf("Expedited GPs: %zu\n", rcu.stat_expedited_cnt);
 	printf("Delayed GPs:   %zu (cpus w/ still running readers after gp sleep)\n",
-		rcu.stat_delayed_cnt);
+	    rcu.stat_delayed_cnt);
 	printf("Preempt blocked GPs: %zu (waited for preempted readers; "
-		"running or not)\n", rcu.stat_preempt_blocking_cnt);
+	    "running or not)\n", rcu.stat_preempt_blocking_cnt);
 	printf("Smp calls:     %zu\n", rcu.stat_smp_call_cnt);
 
